• Русский
  • MachineConfig [machineconfiguration.alauda.io/v1alpha1]

    Description
    MachineConfig defines the configuration for a machine Compatibility level 1: Stable within a major release for a minimum of 12 months or 3 minor releases (whichever is longer).
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    MachineConfigSpec is the spec for MachineConfig

    .spec

    Description
    MachineConfigSpec is the spec for MachineConfig
    Type
    object
    PropertyTypeDescription
    configobject

    Config is a Ignition Config object.

    kernelArgumentsarray

    kernelArguments contains a list of kernel arguments to be added

    .spec.config

    Description
    Config is a Ignition Config object.
    Type
    object

    .spec.kernelArguments

    Description
    kernelArguments contains a list of kernel arguments to be added
    Type
    array

    .spec.kernelArguments[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /kubernetes/{cluster}/apis/machineconfiguration.alauda.io/v1alpha1/machineconfigs
      • DELETE: delete collection of MachineConfig
      • GET: list objects of kind MachineConfig
      • POST: create a new MachineConfig
    • /kubernetes/{cluster}/apis/machineconfiguration.alauda.io/v1alpha1/machineconfigs/{name}
      • DELETE: delete the specified MachineConfig
      • GET: read the specified MachineConfig
      • PATCH: partially update the specified MachineConfig
      • PUT: replace the specified MachineConfig

    /kubernetes/{cluster}/apis/machineconfiguration.alauda.io/v1alpha1/machineconfigs

    HTTP method
    DELETE
    Description
    delete collection of MachineConfig
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind MachineConfig
    HTTP responses
    HTTP codeResponse body
    200 - OKMachineConfigList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new MachineConfig
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMachineConfig schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMachineConfig schema
    201 - CreatedMachineConfig schema
    202 - AcceptedMachineConfig schema
    401 - UnauthorizedEmpty

    /kubernetes/{cluster}/apis/machineconfiguration.alauda.io/v1alpha1/machineconfigs/{name}

    HTTP method
    DELETE
    Description
    delete the specified MachineConfig
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified MachineConfig
    HTTP responses
    HTTP codeResponse body
    200 - OKMachineConfig schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified MachineConfig
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMachineConfig schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified MachineConfig
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMachineConfig schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMachineConfig schema
    201 - CreatedMachineConfig schema
    401 - UnauthorizedEmpty